import 'package:json_annotation/json_annotation.dart';

part 'IDetailStock.g.dart';

/** Carton Composition or Stock Ingredients de l'article */
@JsonSerializable()
class IDetailStock {
  IDetailStock({
    required this.PLU,
    required this.Nom,
    required this.Qty,
  });

  factory IDetailStock.fromJson([Map<String, dynamic>? json]) =>
      _$IDetailStockFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IDetailStockToJson(this);

  @JsonKey(defaultValue: '')
  final String PLU;
  @JsonKey(defaultValue: '')
  final String Nom;
  @JsonKey(defaultValue: 0)
  final num Qty;
}
// --------------------------------------------------------------------------------
