import 'package:json_annotation/json_annotation.dart';

part 'IDetailMenu.g.dart';

/** Menu Composition de l'article */
@JsonSerializable()
class IDetailMenu {
  IDetailMenu({
    required this.PLU,
    required this.Nom,
    required this.Niveau,
    required this.PxIn,
    required this.PxOut,
  });

  factory IDetailMenu.fromJson([Map<String, dynamic>? json]) =>
      _$IDetailMenuFromJson(json ?? {});

  Map<String, dynamic> toJson() => _$IDetailMenuToJson(this);

  @JsonKey(defaultValue: '')
  final String PLU;
  @JsonKey(defaultValue: '')
  final String Nom;
  @JsonKey(defaultValue: 0)
  final int Niveau;
  @JsonKey(defaultValue: 0)
  final num PxIn;
  @JsonKey(defaultValue: 0)
  final num PxOut;
}
// --------------------------------------------------------------------------------
