import 'package:json_annotation/json_annotation.dart';

part 'IDetailPrepa.g.dart';

/** Details Prepa/Departement de l'article */
@JsonSerializable()
class IDetailPrepa {
  IDetailPrepa({
    required this.PLU,
    required this.Nom,
    required this.Niveau,
  });

  factory IDetailPrepa.fromJson([Map<String, dynamic>? json]) =>
      _$IDetailPrepaFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IDetailPrepaToJson(this);

  @JsonKey(defaultValue: '')
  final String PLU;
  @JsonKey(defaultValue: '')
  final String Nom;
  @JsonKey(defaultValue: 0)
  final int Niveau;
}
// --------------------------------------------------------------------------------
