import 'package:json_annotation/json_annotation.dart';

import 'IR5PointageReq.dart' show IR5PointageReq;

part 'ISetPointage.g.dart';

@JsonSerializable(explicitToJson: true)
class ISetPointage {
  @JsonKey(name: 'Staff', defaultValue: '00000000097')
  final dynamic staff;
  @JsonKey(name: 'Station', defaultValue: 'KIOSK')
  final dynamic station;
  @JsonKey(name: 'Tbl')
  final IR5PointageReq tbl;

  ISetPointage({
    required this.staff,
    required this.station,
    required this.tbl,
  });

  factory ISetPointage.fromJson([Map<String, dynamic>? json]) =>
      _$ISetPointageFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$ISetPointageToJson(this);
}
